Bug 212861 - X display config appears to be faulty on second boot
X display config appears to be faulty on second boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 14:47 EST by Richard Schaal
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the initial xorg.conf that I found on the system. (564 bytes, text/plain)
2006-10-29 14:47 EST, Richard Schaal
no flags Details
This is the current xorg.conf that seems to work. (863 bytes, text/plain)
2006-10-29 14:49 EST, Richard Schaal
no flags Details
config file created manually with menu system. (1.08 KB, text/plain)
2006-11-06 10:52 EST, Richard Schaal
no flags Details

  None (edit)
Description Richard Schaal 2006-10-29 14:47:31 EST
Description of problem:
Second boot after installation fails to bring up any graphical interface... the
character terms are still there.

Version-Release number of selected component (if applicable):
FC6


How reproducible:
Probably hard to reproduce.  It appears that the /etc/X11/xorg.conf that says it
is created by pyxf86config is messed up.  

Steps to Reproduce:
1. Install system
2. Initial boot
3. Reboot
  
Actual results:
window manager is not running on second boot.


Expected results:
I would have expected the window manager to run on each boot in runmode 5

Additional info:

I can attach the two xorg.conf files... maybe you can make sense of them.
From the casual observer, theough, it appears that the default file does not
have any "modes" like 1600X1200...
Comment 1 Richard Schaal 2006-10-29 14:47:31 EST
Created attachment 139675 [details]
This is the initial xorg.conf that I found on the system.
Comment 2 Richard Schaal 2006-10-29 14:49:15 EST
Created attachment 139676 [details]
This is the current xorg.conf that seems to work.
Comment 3 John Thurtell 2006-10-30 14:26:24 EST
I resolved the issue by disabling the smart card driver (pcscd) in
system-config-services (I don't have any smart card devices attached so no
problem for me). As first boot after install was ok - didn't think to look at
config files!
Comment 4 Adam Jackson 2006-10-30 18:28:25 EST
How on earth would pcscd cause this?  Can you attach X server logs from
attempting to start X with and without pcscd running?
Comment 5 Phil Johnson 2006-11-05 00:02:08 EST
I have exactly the same problem.  After the reboot, when X starts you can see it
for an instant before the screen goes blank and the monitor eventually complains
"Scan out of range."

FC6
Abit motherboard (Celeron 486/66)
Matrox Millennium II AGP graphics
Sony Trinitron Multiscan E400 monitor
Comment 6 Richard Schaal 2006-11-06 10:52:40 EST
Created attachment 140484 [details]
config file created manually with menu system.
Comment 7 Richard Schaal 2006-11-06 10:53:41 EST
I am attaching yet another xorg.conf file created on the subject system by yet
another method.  This time, I went through the admin menu system on the display
and selected the display vendor and model.  Interesting in that the xorg.conf
file now carries information on horizontal and vertical refresh that wasn't in
either of the prior uploaded config files.
Comment 8 Richard Schaal 2006-11-06 12:04:43 EST
Just a note.  Running through the admin menu system for the display seems to
have produced a config file that will work correctly through multiple reboots. 
I did have problems with the config file that was uploaded (ID = 139676) later
on.  That is why I tried using the menu system.  This appears to be holding on OK.

Hopefully, a diff between the config files will show something lacking from one
to the other, and lead somebody to what is preventing a fully fleshed out config
file.

Comment 9 Adam Jackson 2007-01-24 21:23:59 EST
(In reply to comment #8)
> Just a note.  Running through the admin menu system for the display seems to
> have produced a config file that will work correctly through multiple reboots. 
> I did have problems with the config file that was uploaded (ID = 139676) later
> on.  That is why I tried using the menu system.  This appears to be holding on OK.
> 
> Hopefully, a diff between the config files will show something lacking from one
> to the other, and lead somebody to what is preventing a fully fleshed out config
> file.

It might, but you've only attached one config file, and no log files.  Please
attach the config and log files from both a successful and unsuccessful startup.
Comment 10 Adam Jackson 2007-05-26 15:09:58 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.